%define debug_package %{nil}

%define prerelease 9ede152210fa25c1377d33e867cb828c19316445
%define import_path github.com/gorilla/mux
%define gopath %{_libdir}/golang
%define gosrc %{gopath}/src/pkg/%{import_path}
%define shortcommit %(c=%{prerelease}; echo ${c:0:7})

Summary:	A powerful URL router and dispatcher for golang
Name:		golang-gorilla-mux
Version:	0.1.git%{shortcommit}
Release:	%mkrel 6
License:	BSD
Group:		Development/Other
Url:		https://%{import_path}
Source0:        https://%{import_path}/archive/%{prerelease}.tar.gz
Provides:       golang(%{import_path}) = %{version}-%{release}

%description
Package gorilla/mux implements a request router and dispatcher.

The name mux stands for "HTTP request multiplexer". Like the standard
http.ServeMux, mux.Router matches incoming requests against a list of
registered routes and calls a handler for the route that matches the URL or
other conditions.

%prep
%setup -q -n mux-%{prerelease}

%build

%install
mkdir -p %{buildroot}%{gosrc}
cp -av * %{buildroot}%{gosrc}/
rm -f %{buildroot}%{gosrc}/{LICENSE,README.md}

%files
%doc LICENSE README.md
%{gosrc}/*


%changelog
* Thu Feb 11 2016 umeabot <umeabot> 0.1.git9ede152-6.mga6
+ Revision: 954139
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.1.git9ede152-5.mga6
+ Revision: 893485
- disable debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.1.git9ede152-4.mga5
+ Revision: 745628
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.git9ede152-3.mga5
+ Revision: 679861
- Mageia 5 Mass Rebuild

* Mon Jun 30 2014 bcornec <bcornec> 0.1.git9ede152-2.mga5
+ Revision: 641549
- Fix for golang FHS

* Sat Dec 21 2013 thatsamguy <thatsamguy> 0.1.git9ede152-1.mga4
+ Revision: 559385
- imported package golang-gorilla-mux

